
MLEB Web Framework - Feature #9642

Session Timeout Do Nothing

09 December 2020 04:38 PM - chok yee fan

Status: Resolved Start date: 09 December 2020

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Need to R&D handle how to do session timeout if user do nothing.

Prompt need to stay to leave.

History

#1 - 14 December 2020 11:43 AM - chok yee fan

- Assignee set to Kee Yong Cheng

#2 - 15 January 2021 03:56 PM - Kee Yong Cheng

- Status changed from New to Resolved

- Assignee changed from Kee Yong Cheng to chok yee fan

Revision: 202743

Author: intkeeyc

Date: Friday, January 15, 2021 3:39:35 PM

Message:

Kee Yong Cheng: Added Session Timeout Do Nothing using MatDialog and Alert

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/services

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/services/idle.service.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/private/country-detail/country-detail.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/public/login/login.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/component/MatIdleDialog

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/component/MatIdleDialog/matIdleDialog.component.html

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/component/MatIdleDialog/matIdleDialog.component.scss

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/component/MatIdleDialog/matIdleDialog.component.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/component/MatIdleDialog/matIdleDialog.service.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/shared.module.ts
